# Uses of Enum Class
javafx.print.PrintQuality

Packages that use PrintQuality
Package
Description
javafx.print
Provides the public classes for the JavaFX Printing API.

## Uses of PrintQuality in javafx.print

Methods in javafx.print that return PrintQuality
Modifier and Type
Method
Description
`PrintQuality`
PrinterAttributes.`getDefaultPrintQuality()`
Return the default quality setting
`PrintQuality`
JobSettings.`getPrintQuality()`
Gets the value of the `printQuality` property.
`static PrintQuality`
PrintQuality.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PrintQuality[]`
PrintQuality.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javafx.print that return types with arguments of type PrintQuality
Modifier and Type
Method
Description
`Set<PrintQuality>`
PrinterAttributes.`getSupportedPrintQuality()`
Returns an unmodifiable set of the supported quality settings for this printer.
`final ObjectProperty<PrintQuality>`
JobSettings.`printQualityProperty()`
Property representing an instance of `PrintQuality`.
Methods in javafx.print with parameters of type PrintQuality
Modifier and Type
Method
Description
`void`
JobSettings.`setPrintQuality(PrintQuality quality)`
Set the `PrintQuality` property.